Index: branches/libIGCM_MPI_OpenMP/libIGCM_comp/libIGCM_comp.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_comp/libIGCM_comp.ksh	(revision 570)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_comp/libIGCM_comp.ksh	(revision 571)
@@ -15,187 +15,217 @@
 function IGCM_comp_Initialize
 {
-    IGCM_debug_PushStack "IGCM_comp_Initialize"
+  IGCM_debug_PushStack "IGCM_comp_Initialize"
 
     # Debug Print :
+  echo
+  IGCM_debug_Print 1 "IGCM_comp_Initialize"
+  echo
+
+  typeset comp compname comptagname CompatibilityTag auxprint card_UserChoices first_option option i j
+  for comp in ${config_ListOfComponents[*]} ; do
+    # Debug Print
+    IGCM_debug_Print 1 "Initialize ${comp} : ${compname} component."
+
+    # Define component 
+    IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/config.card ListOfComponents ${comp}
+    eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
+    eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
+
+    # Read libIGCM compatibility version in ${compname}.card
+    card=${SUBMIT_DIR}/COMP/${compname}.card
+    IGCM_card_DefineVariableFromOption ${card} Compatibility libIGCM
+
+    eval CompatibilityTag=\${${compname}_Compatibility_libIGCM} > /dev/null 2>&1	
+    if [ ! "${CompatibilityTag}" = "${libIGCM_CurrentTag}" ] ; then
+      IGCM_debug_Exit "${compname}.card is not compatible with libIGCM version ${libIGCM_CurrentTag} see libIGCM FAQ http://wiki.ipsl.jussieu.fr/wiki_ipsl/IGCMG/libIGCM/DocUtilisateur/FAQ ."
+    fi
+
+    # Manage component executable
+    IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/config.card Executable ${comp}
+
+    # Read component Write Frequency in config.card
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card ${comp} WriteFrequency
+    # Debug Print :
+    eval auxprint=\${config_${comp}_WriteFrequency}
+    IGCM_debug_Print 1 "Write frequency for ${compname} : ${auxprint} "
+    #2> /dev/null
+
+    # Debug Print :
+    IGCM_debug_Print 2 "Initialize following component library"
+
+    # Source drivers in directory DRIVER if it exist
+    # else source them from directory COMP
+    if [ -d ${SUBMIT_DIR}/DRIVER ] ; then
+      IGCM_debug_Print 2 ${SUBMIT_DIR}/DRIVER/${compname}.driver
+      # Source component library
+      . ${SUBMIT_DIR}/DRIVER/${compname}.driver
+    else
+      IGCM_debug_Print 2 ${SUBMIT_DIR}/COMP/${compname}.driver
+      # Source component library
+      . ${SUBMIT_DIR}/COMP/${compname}.driver
+    fi
+    IGCM_debug_Print 3 "With tag : ${comptagname}"
+
+    # Debug Print
+    IGCM_debug_Print 3 "Initialize ${comp} output directory."
+
+    # Define ARCHIVED Dirs
+    eval R_OUT_${comp}=${R_SAVE}/${comp}
+    eval IGCM_sys_MkdirArchive \${R_OUT_${comp}}
+
+    eval R_OUT_${comp}_O=\${R_OUT_${comp}}/Output
+    eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_O}
+
+    eval R_OUT_${comp}_R=\${R_OUT_${comp}}/Restart
+    eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_R}
+
+    eval R_OUT_${comp}_D=\${R_OUT_${comp}}/Debug
+    eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_D}
+
+    eval R_OUT_${comp}_O_I=\${R_OUT_${comp}_O}/INS
+    eval R_OUT_${comp}_O_H=\${R_OUT_${comp}_O}/HF
+    eval R_OUT_${comp}_O_D=\${R_OUT_${comp}_O}/DA
+    eval R_OUT_${comp}_O_M=\${R_OUT_${comp}_O}/MO
+    eval R_OUT_${comp}_O_Y=\${R_OUT_${comp}_O}/YE
+
+    # Define BUFFERED Dirs
+    eval R_BUF_${comp}=${R_BUFR}/${comp}
+    eval IGCM_sys_Mkdir \${R_BUF_${comp}}
+
+    eval R_BUF_${comp}_O=\${R_BUF_${comp}}/Output
+    eval IGCM_sys_Mkdir \${R_BUF_${comp}_O}
+
+    eval R_BUF_${comp}_R=\${R_BUF_${comp}}/Restart
+    eval IGCM_sys_Mkdir \${R_BUF_${comp}_R}
+
+    eval R_BUF_${comp}_D=\${R_BUF_${comp}}/Debug
+    eval IGCM_sys_Mkdir \${R_BUF_${comp}_D}
+
+    eval R_BUF_${comp}_O_I=\${R_BUF_${comp}_O}/INS
+    eval R_BUF_${comp}_O_H=\${R_BUF_${comp}_O}/HF
+    eval R_BUF_${comp}_O_D=\${R_BUF_${comp}_O}/DA
+    eval R_BUF_${comp}_O_M=\${R_BUF_${comp}_O}/MO
+    eval R_BUF_${comp}_O_Y=\${R_BUF_${comp}_O}/YE
+
+    # Read UserChoices section of component card
+    IGCM_debug_Print 2 "DefineArrayFromSection : ${compname}_UserChoices ${card}"
+    IGCM_card_DefineArrayFromSection ${card} UserChoices
+    eval first_option=\${${compname}_UserChoices[0]} > /dev/null 2>&1
+    # If section is not empty we define corresponding variables
+    if [ X${first_option} != X"Error:" ] ; then
+      if [ X${card_UserChoices[0]} != X ] ; then
+	unset card_UserChoices
+      fi
+      eval set +A card_UserChoices -- \${${compname}_UserChoices[*]} > /dev/null 2>&1
+      IGCM_debug_Print 3 "${compname}_UserChoices_values:"
+      for option in ${card_UserChoices[*]} ; do
+	IGCM_card_DefineVariableFromOption ${card} UserChoices ${option}
+	eval IGCM_debug_Print 3 "${option}=\${${compname}_UserChoices_${option}}"
+      done
+    fi
+
+    # Read and Build Output File stuff
+    IGCM_debug_Print 2 "DefineArrayFromOption  : ${compname}_OutputFiles ${card}"
+    IGCM_card_DefineArrayFromOption ${card} OutputFiles List
+    ListFilesName=${compname}_OutputFiles_List
+    eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
+    #
+    if [ X${FileName0} != X${NULL_STR} ] ; then
+      #
+      #IGCM_debug_Print 1 "Component      : ${compname}"
+      #
+      # INITIALISATION
+      #
+      eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
+      #
+      i=2
+      #
+      until [ $i -ge $NbFiles ]; do
+	#
+	eval flag_post=\${${ListFilesName}[$i]} > /dev/null 2>&1
+	#
+	if [ X${flag_post} != XNONE ] ; then
+	  #
+          # First of all
+          #
+	  IGCM_card_DefineArrayFromSection ${card} ${flag_post}
+	  #
+	  # Seasonal case : If option Seasonal is not found (old cards) put SEASONAL ON by default
+	  #
+	  # variable option allready typeset above
+	  for option in $( eval echo \${${compname}_${flag_post}[*]} ) ; do
+	    if [ ${option} = Seasonal ] ; then
+	      FoundSeasonal=true
+	      IGCM_card_DefineVariableFromOption ${card} ${flag_post} Seasonal
+	    fi
+	  done
+	  #
+	  if [ ! X${FoundSeasonal} = Xtrue ] ; then
+	    eval ${compname}_${flag_post}_Seasonal=ON
+	  fi
+	  #
+	  if [ $( eval echo \${${compname}_${flag_post}_Seasonal} ) = ON ] ; then
+	    Seasonal=true
+	  fi
+	  
+	  # Dimension = vide si vieille card.
+	  IGCM_card_DefineArrayFromOption ${card} ${flag_post} TimeSeriesVars
+	  IGCM_card_DefineArrayFromOption ${card} ${flag_post} Patches
+	  if [ X"$( eval echo \${${compname}_${flag_post}_TimeSeriesVars[*]} )" = X"Option not" ] ; then
+	    # New TimeSeriesVar description, with 2D, 3D and associate ChunckJob.
+	    ListDimension[0]=2D
+	    ListDimension[1]=3D
+	    TimeSeries=false
+	    iLoop=${#ListDimension[*]}
+	    j=0
+	    until [ $j -ge ${iLoop} ]; do
+	      Dimension=${ListDimension[${j}]}
+	      IGCM_card_DefineArrayFromOption ${card} ${flag_post} TimeSeriesVars${Dimension}
+	      IGCM_card_DefineVariableFromOption ${card} ${flag_post} ChunckJob${Dimension}
+	      #
+	      # Time series WITHOUT chunk
+	      #
+	      if [ ! $( eval echo \${${compname}_${flag_post}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
+		if [ $( eval echo \${${compname}_${flag_post}_ChunckJob${Dimension}} ) = NONE ] ; then
+		  IGCM_debug_Print 3 "${Dimension} time series activated for ${flag_post}"
+		  eval TimeSeries${Dimension}=true
+		fi
+	      fi
+              #
+	      # Time series WITH chunk
+	      #
+	      if [ ! $( eval echo \${${compname}_${flag_post}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
+		chunck_size=$( eval echo \${${compname}_${flag_post}_ChunckJob${Dimension}} )
+		if [ ! ${chunck_size} = NONE ] &&  [ ! ${chunck_size} = OFF ] ; then
+		  IGCM_debug_Print 3 "${Dimension} time series activated with chunck for ${flag_post}"
+		  eval TimeSeriesChunck${Dimension}=true
+		  eval set +A CHUNCK${Dimension}_COMP \${CHUNCK${Dimension}_COMP[*]} ${comp}
+		  eval set +A CHUNCK${Dimension}_FLAG \${CHUNCK${Dimension}_FLAG[*]} ${i}
+		  eval set +A CHUNCK${Dimension}_NAME \${CHUNCK${Dimension}_NAME[*]} ${flag_post}
+		  eval set +A CHUNCK${Dimension}_SIZE \${CHUNCK${Dimension}_SIZE[*]} ${chunck_size}
+		fi
+	      fi
+	      (( j=j+1 ))
+	    done
+	  else
+	    ListDimension[0]=""
+	    TimeSeries=true
+	    TimeSeries2D=false
+	    TimeSeries3D=false
+	    TimeSeriesChunck2D=false
+	    TimeSeriesChunck3D=false
+	  fi
+	fi
+	(( i=i+3 ))
+      done
+    fi
+    # Debug Print
+    IGCM_debug_Print 3 "Initialize ${compname} with driver."
+    # INIT component
+    ${comp}_Initialize
     echo
-    IGCM_debug_Print 1 "IGCM_comp_Initialize"
-    echo
-
-    typeset comp compname comptagname CompatibilityTag auxprint card_UserChoices first_option option i j
-    for comp in ${config_ListOfComponents[*]} ; do
-        # Debug Print
-	IGCM_debug_Print 1 ${comp}
-	# Define component 
-        IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/config.card ListOfComponents ${comp}
-	eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
-	eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
-
-	# Read libIGCM compatibility version in ${compname}.card
-	card=${SUBMIT_DIR}/COMP/${compname}.card
-	IGCM_card_DefineVariableFromOption ${card} Compatibility libIGCM
-
-	eval CompatibilityTag=\${${compname}_Compatibility_libIGCM} > /dev/null 2>&1	
-	if [ ! "${CompatibilityTag}" = "${libIGCM_CurrentTag}" ] ; then
-	    IGCM_debug_Exit "${compname}.card is not compatible with libIGCM version ${libIGCM_CurrentTag} see libIGCM FAQ http://wiki.ipsl.jussieu.fr/wiki_ipsl/IGCMG/libIGCM/DocUtilisateur/FAQ ."
-	fi
-
-	# Manage component executable
-	IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/config.card Executable ${comp}
-
-	# Read component Write Frequency in config.card
-	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card ${comp} WriteFrequency
-	# Debug Print :
-	eval auxprint=\${config_${comp}_WriteFrequency}
-	IGCM_debug_Print 1 "Write frequency for ${compname} : ${auxprint} "
-        #2> /dev/null
-
-	# Debug Print :
-	IGCM_debug_Print 2 "Initialize following component library"
-	IGCM_debug_Print 2 ${SUBMIT_DIR}/COMP/${compname}.driver
-	IGCM_debug_Print 3 "With tag : ${comptagname}"
-	# Source component library
-	. ${SUBMIT_DIR}/COMP/${compname}.driver
-
-	# Debug Print
-	IGCM_debug_Print 3 "Initialize ${comp} output directory."
-	# Define Dirs	
-	eval R_OUT_${comp}=${R_SAVE}/${comp}
-	eval IGCM_sys_MkdirArchive \${R_OUT_${comp}}
-
-	eval R_OUT_${comp}_O=\${R_OUT_${comp}}/Output
-	eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_O}
-
-	eval R_OUT_${comp}_R=\${R_OUT_${comp}}/Restart
-	eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_R}
-
-	eval R_OUT_${comp}_D=\${R_OUT_${comp}}/Debug
-	eval IGCM_sys_MkdirArchive \${R_OUT_${comp}_D}
-
- 	eval R_OUT_${comp}_O_I=\${R_OUT_${comp}_O}/INS
- 	eval R_OUT_${comp}_O_H=\${R_OUT_${comp}_O}/HF
- 	eval R_OUT_${comp}_O_D=\${R_OUT_${comp}_O}/DA
- 	eval R_OUT_${comp}_O_M=\${R_OUT_${comp}_O}/MO
-	eval R_OUT_${comp}_O_Y=\${R_OUT_${comp}_O}/YE
-
-	# Read UserChoices section of component card
-	IGCM_debug_Print 2 "DefineArrayFromSection : ${compname}_UserChoices ${card}"
-	IGCM_card_DefineArrayFromSection ${card} UserChoices
-	eval first_option=\${${compname}_UserChoices[0]} > /dev/null 2>&1
-	# If section is not empty we define corresponding variables
-	if [ X${first_option} != X"Error:" ] ; then
-	    if [ X${card_UserChoices[0]} != X ] ; then
-		unset card_UserChoices
-	    fi
-	    eval set +A card_UserChoices -- \${${compname}_UserChoices[*]} > /dev/null 2>&1
-	    IGCM_debug_Print 3 "${compname}_UserChoices_values:"
-	    for option in ${card_UserChoices[*]} ; do
-		IGCM_card_DefineVariableFromOption ${card} UserChoices ${option}
-		eval IGCM_debug_Print 3 "${option}=\${${compname}_UserChoices_${option}}"
-	    done
-	fi
-
-	# Read and Build Output File stuff
-	IGCM_debug_Print 2 "DefineArrayFromOption  : ${compname}_OutputFiles ${card}"
-	IGCM_card_DefineArrayFromOption ${card} OutputFiles List
-	ListFilesName=${compname}_OutputFiles_List
-	eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
-	#
-	if [ X${FileName0} != X${NULL_STR} ] ; then
-            #
-	    #IGCM_debug_Print 1 "Component      : ${compname}"
-	    #
-	    # INITIALISATION
-	    #
-	    eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
-	    #
-	    i=2
-	    #
-	    until [ $i -ge $NbFiles ]; do
-	        #
-		eval flag_post=\${${ListFilesName}[$i]} > /dev/null 2>&1
-		#
-		if [ X${flag_post} != XNONE ] ; then
-		    #
-                    # First of all
-                    #
-		    IGCM_card_DefineArrayFromSection ${card} ${flag_post}
-		    #
-		    # Seasonal case : If option Seasonal is not found (old cards) put SEASONAL ON by default
-		    #
-		    # variable option allready typeset above
-		    for option in $( eval echo \${${compname}_${flag_post}[*]} ) ; do
-			if [ ${option} = Seasonal ] ; then
-			    FoundSeasonal=true
-			    IGCM_card_DefineVariableFromOption ${card} ${flag_post} Seasonal
-			fi
-		    done
-		    #
-		    if [ ! X${FoundSeasonal} = Xtrue ] ; then
-			eval ${compname}_${flag_post}_Seasonal=ON
-		    fi
-		    #
-		    if [ $( eval echo \${${compname}_${flag_post}_Seasonal} ) = ON ] ; then
-			Seasonal=true
-		    fi
-		    
-		    # Dimension = vide si vieille card.
-		    IGCM_card_DefineArrayFromOption ${card} ${flag_post} TimeSeriesVars
-		    IGCM_card_DefineArrayFromOption ${card} ${flag_post} Patches
-		    if [ X"$( eval echo \${${compname}_${flag_post}_TimeSeriesVars[*]} )" = X"Option not" ] ; then
-			# New TimeSeriesVar description, with 2D, 3D and associate ChunckJob.
-			ListDimension[0]=2D
-			ListDimension[1]=3D
-			TimeSeries=false
-			iLoop=${#ListDimension[*]}
-			j=0
-			until [ $j -ge ${iLoop} ]; do
-			    Dimension=${ListDimension[${j}]}
-			    IGCM_card_DefineArrayFromOption ${card} ${flag_post} TimeSeriesVars${Dimension}
-			    IGCM_card_DefineVariableFromOption ${card} ${flag_post} ChunckJob${Dimension}
-		            #
-	                    # Time series WITHOUT chunk
-	                    #
-			    if [ ! $( eval echo \${${compname}_${flag_post}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
-				if [ $( eval echo \${${compname}_${flag_post}_ChunckJob${Dimension}} ) = NONE ] ; then
-				    IGCM_debug_Print 3 "${Dimension} time series activated for ${flag_post}"
-				    eval TimeSeries${Dimension}=true
-				fi
-			    fi
-                            #
-	                    # Time series WITH chunk
-		            #
-			    if [ ! $( eval echo \${${compname}_${flag_post}_TimeSeriesVars${Dimension}} ) = ${NULL_STR} ] ; then
-				chunck_size=$( eval echo \${${compname}_${flag_post}_ChunckJob${Dimension}} )
-				if [ ! ${chunck_size} = NONE ] &&  [ ! ${chunck_size} = OFF ] ; then
-				    IGCM_debug_Print 3 "${Dimension} time series activated with chunck for ${flag_post}"
-				    eval TimeSeriesChunck${Dimension}=true
-				    eval set +A CHUNCK${Dimension}_COMP \${CHUNCK${Dimension}_COMP[*]} ${comp}
-				    eval set +A CHUNCK${Dimension}_FLAG \${CHUNCK${Dimension}_FLAG[*]} ${i}
-				    eval set +A CHUNCK${Dimension}_NAME \${CHUNCK${Dimension}_NAME[*]} ${flag_post}
-				    eval set +A CHUNCK${Dimension}_SIZE \${CHUNCK${Dimension}_SIZE[*]} ${chunck_size}
-				fi
-			    fi
-			    (( j=j+1 ))
-			done
-		    else
-			ListDimension[0]=""
-			TimeSeries=true
-			TimeSeries2D=false
-			TimeSeries3D=false
-			TimeSeriesChunck2D=false
-			TimeSeriesChunck3D=false
-		    fi
-		fi
-		(( i=i+3 ))
-	    done
-	fi
-	# Debug Print
-	IGCM_debug_Print 3 "Initialize ${compname} with driver."
-	# INIT component
-	${comp}_Initialize
-	echo
-    done
-
-    IGCM_debug_PopStack "IGCM_comp_Initialize"
+  done
+
+  IGCM_debug_PopStack "IGCM_comp_Initialize"
 }
 
@@ -203,13 +233,13 @@
 function IGCM_comp_PrepareDeletedFiles
 {
-    IGCM_debug_PushStack "IGCM_comp_PrepareDeletedFiles" $@
-    
-    if [ X${2} != X. ] ; then
-	eval FileToBeDeleted[${#FileToBeDeleted[@]}]=$( basename ${2} ) > /dev/null 2>&1
-    else
-	eval FileToBeDeleted[${#FileToBeDeleted[@]}]=$( basename ${1} ) > /dev/null 2>&1
-    fi
-
-    IGCM_debug_PopStack "IGCM_comp_PrepareDeletedFiles"
+  IGCM_debug_PushStack "IGCM_comp_PrepareDeletedFiles" $@
+  
+  if [ X${2} != X. ] ; then
+    eval FileToBeDeleted[${#FileToBeDeleted[@]}]=$( basename ${2} ) > /dev/null 2>&1
+  else
+    eval FileToBeDeleted[${#FileToBeDeleted[@]}]=$( basename ${1} ) > /dev/null 2>&1
+  fi
+
+  IGCM_debug_PopStack "IGCM_comp_PrepareDeletedFiles"
 }
 
@@ -217,67 +247,71 @@
 function IGCM_comp_GetInputInitialStateFiles
 {
-    IGCM_debug_PushStack "IGCM_comp_GetInputInitialStateFiles"
-
-    # Debug Print :
-    echo
-    IGCM_debug_Print 1 "IGCM_comp_GetInputInitialStateFiles"
-    echo
-
-    # Only the first time step need InitialStateFiles 
-    # otherwise it's BoundaryConditions
-    if ( ${FirstInitialize} ) ; then
-      typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_ 
-      typeset file_in_ file_in file_out_ file_out do_init 
-      for comp in ${config_ListOfComponents[*]} ; do
-	  # Initialize
+  IGCM_debug_PushStack "IGCM_comp_GetInputInitialStateFiles"
+
+  # Debug Print :
+  echo
+  IGCM_debug_Print 1 "IGCM_comp_GetInputInitialStateFiles"
+  echo
+
+  # Only the first time step need InitialStateFiles 
+  # otherwise it's BoundaryConditions
+  if ( ${FirstInitialize} ) ; then
+    typeset comp compname comptagname card ListFilesName FileName0 NbFiles i i_ 
+    typeset file_in_ file_in file_out_ file_out do_init 
+    for comp in ${config_ListOfComponents[*]} ; do
+      # Initialize
+      do_init="y"
+      # Do we need to bring initial state file for this component
+      if [ "${config_Restarts_OverRule}" = "y" ] ; then
+	eval do_init="n"
+      else
+	# Read component Restarts parameters
+	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card ${comp} Restart
+	eval do_start=\${config_${comp}_Restart} > /dev/null 2>&1
+	if [ "${do_start}" = "y" ] ; then
+	  do_init="n"
+	else
 	  do_init="y"
-	  # Do we need to bring initial state file for this component
-	  if [ "${config_Restarts_OverRule}" = "y" ] ; then
-	      eval do_init="n"
-	  else
-	      # Read component Restarts parameters
-	      IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card ${comp} Restart
-	      eval do_start=\${config_${comp}_Restart} > /dev/null 2>&1
-	      if [ "${do_start}" = "y" ] ; then
-		    do_init="n"
-	      else
-		    do_init="y"
-	      fi
-	  fi
-
-	  if [ "${do_init}" = "y" ] ; then
-	      # Define component 
-	      eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
-	      eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
-
-	      # Debug Print :
-	      IGCM_debug_Print 3 "Initialisation files ${compname}"
-
-	      card=${SUBMIT_DIR}/COMP/${compname}.card
-
-	      IGCM_card_DefineArrayFromOption ${card} InitialStateFiles List
-	      ListFilesName=${compname}_InitialStateFiles_List
-
-	      eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
-	      if [ X${FileName0} != X${NULL_STR} ] ; then
-		  eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
-		  (( i=0 ))
-		  until [ $i -ge $NbFiles ]; do
-		      eval file_in_=\${${ListFilesName}[$i]} > /dev/null 2>&1
-		      eval file_in=${file_in_}
-		      (( i_ = i+1 ))
-		      eval file_out_=\${${ListFilesName}[$i_]} > /dev/null 2>&1
-		      eval file_out=${file_out_}
-		      
-		      IGCM_sys_Get ${file_in} ${file_out}
-		      #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
-
-		      (( i=i+2 ))
-		  done
-	      fi
-	  fi
-      done
-    fi
-    IGCM_debug_PopStack "IGCM_comp_GetInputInitialStateFiles"
+	fi
+      fi
+
+      if [ "${do_init}" = "y" ] ; then
+	# Define component 
+	eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
+	eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
+
+	# Debug Print :
+	IGCM_debug_Print 3 "Initialisation files ${compname}"
+
+	card=${SUBMIT_DIR}/COMP/${compname}.card
+
+	IGCM_card_DefineArrayFromOption ${card} InitialStateFiles List
+	ListFilesName=${compname}_InitialStateFiles_List
+
+	eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
+	if [ X${FileName0} != X${NULL_STR} ] ; then
+	  eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
+	  (( i=0 ))
+	  until [ $i -ge $NbFiles ]; do
+	    eval file_in_=\${${ListFilesName}[$i]} > /dev/null 2>&1
+	    eval file_in=${file_in_}
+	    (( i_ = i+1 ))
+	    eval file_out_=\${${ListFilesName}[$i_]} > /dev/null 2>&1
+	    eval file_out=${file_out_}
+
+	    IGCM_sys_IsFileArchived ${file_in}
+	    if [ $? = 0 ] ; then
+	      IGCM_sys_Get ${file_in} ${file_out}
+	      #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
+	    else
+	      IGCM_sys_Cp ${file_in} ${file_out}
+	    fi
+	    (( i=i+2 ))
+	  done
+	fi
+      fi
+    done
+  fi
+  IGCM_debug_PopStack "IGCM_comp_GetInputInitialStateFiles"
 }
 
@@ -301,39 +335,37 @@
 function IGCM_SmoothModulo
 {
-    IGCM_debug_PushStack "IGCM_SmoothModulo"
-    typeset defVector ModValue
-
-    eval set +A defVector -- $( echo "${1}" | \
-	gawk -F ':' '{print ($1 == "" ? 1 : $1) " " (NF==3 ? ($2 == "" ? 1 : $2) : 1) " " (NF==3 ? ($3 == "" ? -1 : $3) : ($2 == "" ? -1 : $2))}' )
-
-    # Save Smooth Min and Max. Needed to call IGCM_sys_Get when appropriate
-    arr[1]=${defVector[0]}
-    arr[2]=${defVector[2]}
-
-    # Test limits : 
-    # ${defVector[0]} <= ${2} <= ${defVector[2]} 
-    #                                      or ${defVector[2]} == -1
-    if ( [ ${2} -ge ${defVector[0]} ] && \
-         ( [ ${2} -le ${defVector[2]} ] || \
-           [ ${defVector[2]} -lt 0 ] ) ) ; then
-        # Test modulo
-        ModValue=$( expr \( ${2} - ${defVector[0]} \) % ${defVector[1]} )
-        if [ ${ModValue} -eq 0 ] ;  then
-	    arr[3]=true
-	    echo ${arr[@]}
-	    IGCM_debug_PopStack "IGCM_SmoothModulo"
-	    return 1
-	else
-	    arr[3]=false
-	    echo ${arr[@]}
-	    IGCM_debug_PopStack "IGCM_SmoothModulo"
-	    return 0
-	fi
+  IGCM_debug_PushStack "IGCM_SmoothModulo"
+  typeset defVector ModValue
+
+  eval set +A defVector -- $( echo "${1}" | \
+    gawk -F ':' '{print ($1 == "" ? 1 : $1) " " (NF==3 ? ($2 == "" ? 1 : $2) : 1) " " (NF==3 ? ($3 == "" ? -1 : $3) : ($2 == "" ? -1 : $2))}' )
+
+  # Save Smooth Min and Max. Needed to call IGCM_sys_Get when appropriate
+  arr[1]=${defVector[0]}
+  arr[2]=${defVector[2]}
+
+  # Test limits : 
+  # ${defVector[0]} <= ${2} <= ${defVector[2]} 
+  #          or ${defVector[2]} == -1
+  if ( [ ${2} -ge ${defVector[0]} ] && ( [ ${2} -le ${defVector[2]} ] || [ ${defVector[2]} -lt 0 ] ) ) ; then
+    # Test modulo
+    ModValue=$( expr \( ${2} - ${defVector[0]} \) % ${defVector[1]} )
+    if [ ${ModValue} -eq 0 ] ;  then
+      arr[3]=true
+      echo ${arr[@]}
+      IGCM_debug_PopStack "IGCM_SmoothModulo"
+      return 1
     else
-	arr[3]=false
-	echo ${arr[@]}
-	IGCM_debug_PopStack "IGCM_SmoothModulo"
-	return 0
-    fi
+      arr[3]=false
+      echo ${arr[@]}
+      IGCM_debug_PopStack "IGCM_SmoothModulo"
+      return 0
+    fi
+  else
+    arr[3]=false
+    echo ${arr[@]}
+    IGCM_debug_PopStack "IGCM_SmoothModulo"
+    return 0
+  fi
 }
 
@@ -341,63 +373,68 @@
 function IGCM_comp_GetInputSmoothFiles
 {
-    IGCM_debug_PushStack "IGCM_comp_GetInputSmoothFiles"
+  IGCM_debug_PushStack "IGCM_comp_GetInputSmoothFiles"
+
+  # Debug Print :
+  echo
+  IGCM_debug_Print 1 "IGCM_comp_GetInputSmoothFiles"
+  echo
+
+  typeset comp compname comptagname card ListFilesName FileName0 NbFiles j i i_ i__
+  typeset file_in_ file_in file_out_ file_out ret SmoothDef aux val
+
+  for comp in ${config_ListOfComponents[*]} ; do
+    # Define component
+    eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
+    eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
 
     # Debug Print :
-    echo
-    IGCM_debug_Print 1 "IGCM_comp_GetInputSmoothFiles"
-    echo
-
-    typeset comp compname comptagname card ListFilesName FileName0 NbFiles j i i_ i__
-    typeset file_in_ file_in file_out_ file_out ret SmoothDef aux val
-
-    for comp in ${config_ListOfComponents[*]} ; do
-	# Define component
-	eval compname=\${config_ListOfComponents_${comp}[0]} > /dev/null 2>&1
-	eval comptagname=\${config_ListOfComponents_${comp}[1]} > /dev/null 2>&1
-
-        # Debug Print :
-	IGCM_debug_Print 3 "Smooth files ${compname}"
-
-	card=${SUBMIT_DIR}/COMP/${compname}.card
-
-	IGCM_card_DefineArrayFromOption ${card} SmoothFiles List
-	ListFilesName=${compname}_SmoothFiles_List
- 	eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
-
-	if ( [ X${FileName0} != X${NULL_STR} ] && [ X${FileName0} != X"Section" ] ) ; then
-	    eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
-
-	    (( i=0 ))
-	    until [ $i -ge $NbFiles ]; do
-		eval file_in_=\${${ListFilesName}[$i]} > /dev/null 2>&1
-		eval file_in=${file_in_}
-		(( i_ = i+1 ))
-		eval file_out_=\${${ListFilesName}[$i_]} > /dev/null 2>&1
-		eval file_out=${file_out_}
-
-		# define CumulPeriod definition for this file
-		(( i__ = i+2 ))
-		eval SmoothDef=\${${ListFilesName}[$i__]}
-		IGCM_debug_Print 3 "  ${file_in} ${SmoothDef}"
-		aux=$( IGCM_SmoothModulo ${SmoothDef} ${CumulPeriod} )
-		j=1
-		for val in ${aux} ; do
-		    [ ${j} -eq 1 ] && SmoothMin=${val}
-		    [ ${j} -eq 2 ] && SmoothMax=${val}
-		    [ ${j} -eq 3 ] && ret=${val}
-		    (( j=j+1 ))
-		done
-		[ ${SmoothMax} -eq -1 ] && SmoothMax=${CumulPeriod}
-		if ( [ X${ret} = Xtrue ] || ( [ ${Period} -eq 1 ] && [ ${CumulPeriod} -ge ${SmoothMin} ] && [ ${CumulPeriod} -le ${SmoothMax} ] ) ) ; then
-		#if ( [ X${ret} = Xtrue ] || [ ${Period} -eq 1 ] ) ; then
-		    IGCM_sys_Get ${file_in} ${file_out}
-		    #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
-		fi
-		(( i=i+3 ))
-	    done
+    IGCM_debug_Print 3 "Smooth files ${compname}"
+
+    card=${SUBMIT_DIR}/COMP/${compname}.card
+
+    IGCM_card_DefineArrayFromOption ${card} SmoothFiles List
+    ListFilesName=${compname}_SmoothFiles_List
+    eval FileName0=\${${ListFilesName}[0]} > /dev/null 2>&1
+
+    if ( [ X${FileName0} != X${NULL_STR} ] && [ X${FileName0} != X"Section" ] ) ; then
+      eval NbFiles=\${#${ListFilesName}[@]} > /dev/null 2>&1
+
+      (( i=0 ))
+      until [ $i -ge $NbFiles ]; do
+	eval file_in_=\${${ListFilesName}[$i]} > /dev/null 2>&1
+	eval file_in=${file_in_}
+	(( i_ = i+1 ))
+	eval file_out_=\${${ListFilesName}[$i_]} > /dev/null 2>&1
+	eval file_out=${file_out_}
+
+	# define CumulPeriod definition for this file
+	(( i__ = i+2 ))
+	eval SmoothDef=\${${ListFilesName}[$i__]}
+	IGCM_debug_Print 3 "  ${file_in} ${SmoothDef}"
+	aux=$( IGCM_SmoothModulo ${SmoothDef} ${CumulPeriod} )
+	j=1
+	for val in ${aux} ; do
+	  [ ${j} -eq 1 ] && SmoothMin=${val}
+	  [ ${j} -eq 2 ] && SmoothMax=${val}
+	  [ ${j} -eq 3 ] && ret=${val}
+	  (( j=j+1 ))
+	done
+	[ ${SmoothMax} -eq -1 ] && SmoothMax=${CumulPeriod}
+	if ( [ X${ret} = Xtrue ] || ( [ ${Period} -eq 1 ] && [ ${CumulPeriod} -ge ${SmoothMin} ] && [ ${CumulPeriod} -le ${SmoothMax} ] ) ) ; then
+
+	  IGCM_sys_IsFileArchived ${file_in}
+	  if [ $? = 0 ] ; then
+	    IGCM_sys_Get ${file_in} ${file_out}
+	    #IGCM_comp_PrepareDeletedFiles ${file_in} ${file_out}
+	  else
+	    IGCM_sys_Cp ${file_in} ${file_out}
+	  fi
 	fi
-    done
-    
-    IGCM_debug_PopStack "IGCM_comp_GetInputSmoothFiles"
+	(( i=i+3 ))
+      done
+    fi
+  done
+  
+  IGCM_debug_PopStack "IGCM_comp_GetInputSmoothFiles"
 }
 
